GET api/orderstatuses/search?name={name}&externalId={externalId}&active={active}&page={page}&itemsPerPage={itemsPerPage}
Returns a list of order statuses.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| name |
Return order statuses with names containing this parameter's value. |
string |
Default value is empty string ("") |
| externalId |
Order statuses' unique ID on integrating system. |
string |
Default value is empty string ("") |
| active |
Filter order statuses on whether they are active or not. |
boolean |
None. |
| page |
Page number requested (search results are paginated). |
integer |
Default value is 1 |
| itemsPerPage |
Items to return on each page. See page parameter above. |
integer |
Default value is 10 |
Body Parameters
None.
Response Information
Resource Description
ListModelOfOrderStatusModel| Name | Description | Type | Additional information |
|---|---|---|---|
| TotalItems | integer |
None. |
|
| ItemsPerPage | integer |
None. |
|
| CurrentPage | integer |
None. |
|
| TotalPages | integer |
None. |
|
| FirstRowOnPage | integer |
None. |
|
| LastRowOnPage | integer |
None. |
|
| Rows | Collection of OrderStatusModel |
None. |
Response Formats
application/json, text/json
Sample:
{
"totalItems": 1,
"itemsPerPage": 2,
"currentPage": 3,
"totalPages": 4,
"firstRowOnPage": 5,
"lastRowOnPage": 6,
"rows": [
{
"name": "sample string 1",
"active": true,
"id": "bf6bc005-7ec1-4888-862e-122ab0ac0b8b",
"externalId": "sample string 4"
},
{
"name": "sample string 1",
"active": true,
"id": "bf6bc005-7ec1-4888-862e-122ab0ac0b8b",
"externalId": "sample string 4"
}
]
}
application/xml, text/xml
Sample:
<ListModelOfOrderStatusModelzF0BMuPy xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
<CurrentPage>3</CurrentPage>
<FirstRowOnPage>5</FirstRowOnPage>
<ItemsPerPage>2</ItemsPerPage>
<LastRowOnPage>6</LastRowOnPage>
<Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.OrderStatuses">
<d2p1:OrderStatusModel>
<ExternalId>sample string 4</ExternalId>
<Id>bf6bc005-7ec1-4888-862e-122ab0ac0b8b</Id>
<d2p1:Active>true</d2p1:Active>
<d2p1:Name>sample string 1</d2p1:Name>
</d2p1:OrderStatusModel>
<d2p1:OrderStatusModel>
<ExternalId>sample string 4</ExternalId>
<Id>bf6bc005-7ec1-4888-862e-122ab0ac0b8b</Id>
<d2p1:Active>true</d2p1:Active>
<d2p1:Name>sample string 1</d2p1:Name>
</d2p1:OrderStatusModel>
</Rows>
<TotalItems>1</TotalItems>
<TotalPages>4</TotalPages>
</ListModelOfOrderStatusModelzF0BMuPy>